import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { AppModule } from './app/app.module';

// Amplifyn käyttöönoton vaatimat jutut
import {Amplify} from 'aws-amplify';
import amplify from './aws-exports';
Amplify.configure(amplify);

// Kirjastot ja asetukset valmiskomponenttien kielen kääntämiseksi
import { I18n } from 'aws-amplify';
import { translations } from '@aws-amplify/ui-angular';
I18n.putVocabularies(translations);
I18n.setLanguage('en');

// Tässä on käännetty autentikaatiokomponentin tekstit suomeksi
I18n.putVocabulariesForLanguage('en', {
  'Sign In': 'Kirjautuminen', // Tab header
  'Sign in': 'Kirjaudu', // Button label
  'Create Account': 'Luo Tunnukset',
  'Sign in to your account': 'Welcome Back!',
  'Username': 'Tunnus', // Username label
  'Enter your Username': 'Kirjoita tunnus',
  'Enter your Password': 'Kirjoita salasana',
  'Password': 'Salasana', // Password label
  'Forgot your password?': 'Salasana unohtunut?',
  'Confirm Password': 'Vahvista Salasana',
  'Please confirm your Password': 'Kirjoita salasana',
  'Enter your Email': 'Kirjoita Email',
});


platformBrowserDynamic().bootstrapModule(AppModule)
  .catch(err => console.error(err));
  